Ubuntu

1002:682f Unity does not start after installing fglrx-updates Radeon HD 7700M Series

Reported by Edson on 2012-10-20
404
This bug affects 79 people
Affects Status Importance Assigned to Milestone
fglrx
Confirmed
High
fglrx-installer-updates (Ubuntu)
Low
Unassigned

Bug Description

After installing ATI proprietary drivers for my Radeon video card, Unity doesn't start anymore. LightDM shows up, and I'm able to log in, but Unity doesn't load.

Obs: The same occurs when installing fglrx package (if I choose it, instead of fglrx-updates).

Potential duplicate of bug https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1068404 .

WORKAROUND: Removing the package fixes the problem, getting back to the opensource driver (ati).

WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: fglrx-updates 2:9.000-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
Date: Sat Oct 20 17:13:10 2012
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
SourcePackage: fglrx-installer-updates
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: emarquezani 2523 F.... pulseaudio
 /dev/snd/pcmC0D0p: emarquezani 2523 F...m pulseaudio
DistroRelease: Ubuntu 12.10
HibernationDevice: RESUME=UUID=ea9a06e8-a07c-4fa4-aad5-00b0c111023e
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: Dell Inc. Inspiron 7520
Package: linux (not installed)
ProcFB:
 0 inteldrmfb
 1 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=638c2b77-1853-48c0-8200-e446faedec13 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-17-generic N/A
 linux-backports-modules-3.5.0-17-generic N/A
 linux-firmware 1.95
StagingDrivers: rts5139
Tags: quantal running-unity staging
Uname: Linux 3.5.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 08/22/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0DNMM8
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A06
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd08/22/2012:svnDellInc.:pnInspiron7520:pvrA06:rvnDellInc.:rn0DNMM8:rvrA01:cvnDellInc.:ct8:cvrA06:
dmi.product.name: Inspiron 7520
dmi.product.version: A06
dmi.sys.vendor: Dell Inc.

Edson (edsonmarquezani) wrote :
Daniel Letzeisen (dtl131) wrote :

What kind of video card do you have? Use this command if unsure:
lspci | grep VGA

Changed in fglrx-installer-updates (Ubuntu):
status: New → Incomplete
Edson (edsonmarquezani) wrote :

It's a ATI Radeon HD 7700M.

Actually, I found that I'm running Intel (i915) driver for acceleration (my video setup is hibryd - it's a notebook with onboard and dedicated cards). The FOSS driver (radeon) is detected by Xserver, but acceleration got disabled (I guess my card isn't supported).

Once I install fglrx driver, I got the following error from X:

[ 3.252] (EE) Failed to load /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension

As far as I've read around, this is a imcompatibility between Xserver 1.13 and the upstream Linux driver from ATI. Latest version (9-beta) says to be compatible fully with Ubuntu 12.10, but it seems it actually isn't.

I don't wanna try to downgrade Xserver, as it is probabily going to break my system. Is there any option but waiting the upstream driver to be fixed?

Thanks.

Philip Goh (philip-wj-goh) wrote :

I have a similar problem. If I install the fglrx or fglrx-update proprietary ATI Radeon driver, I'm able to log in but Unity doesn't load. Removing the proprietary driver fixes the issue.

This is the output of lspci -v | grep vga

01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Madison [Radeon HD 5000M Series] (prog-if 00 [VGA controller])

Please let me know if there is any other information you need.

Philip Goh, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug fglrx-installer

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → New
pcworld (pcworld) wrote :

@Christopher:
Doesn't Philip have the same problem as described in the first post?

Edson, could you please execute the following in a terminal:
apport-collect -p linux 1069199

Only added bug task for linux to easily get full logs, will delete task after apport-collect'ed.

Changed in linux (Ubuntu):
status: New → Incomplete
Edson (edsonmarquezani) wrote :

Christopher, can I do that even without the fglrx package installed? Or you need the exact issue scenario?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed

Edson, regarding your comments https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199/comments/8 :
>"Christopher, can I do that even without the fglrx package installed? Or you need the exact issue scenario?"

You can do it with or without the fglrx package installed, it does not matter.

apport information

tags: added: apport-collected running-unity staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

summary: - Unity does not start after installing fglrx-updates
+ 1002:682f Unity does not start after installing fglrx-updates Radeon HD
+ 7700M Series
no longer affects: linux (Ubuntu)
description: updated
Edson (edsonmarquezani) wrote :

Christopher, now, just for _my_ information (hehe), what would it be the next steps about this bug tracking proccess? I understand it depends essentialy on ATI, but I would like to know what (and possibly when) I should expect.

Thanks.

Nardus Geldenhuys (nardusgel) wrote :

Same problem, even with new 12.10 drivers.

udit mahajan (mahajanudit) wrote :

Same problem with me. I thought it would be fixed with new 12.10 catalyst released but its still not working.

Nardus Geldenhuys / udit mahajan, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug fglrx-installer

For more on this, please see the Ubuntu X Team (maintainers of fglrx-installer), Ubuntu Bug Control, and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Nardus Geldenhuys (nardusgel) wrote :

It is the same issue

description: updated
1 comments hidden view all 111 comments
Edson (edsonmarquezani) wrote :

For those who have hybrid video Intel/AMD.

Install "xserver-xorg-video-intel" and "fglrx-updates" from this PPA[1]. After installing it, don't forget to setup "xorg.conf" with "aticonfig" tool. That worked for me.

Obs: now, I'm in trouble trying to enable video GPU acceleration with libva. =P

[1] https://launchpad.net/~andrikos/+archive/ppa

James Fox (jfox950) wrote :

Same issue unity doesnt start after install fglrx from software sources.

James Fox, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug fglrx-installer

For more on this, please see the Ubuntu X Team (maintainers of fglrx-installer), Ubuntu Bug Control, and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

ApportVersion: 2.6.1-0ubuntu6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: greg606 1766 F.... pulseaudio
 /dev/snd/controlC0: greg606 1766 F.... pulseaudio
 /dev/snd/pcmC0D0p: greg606 1766 F...m pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
DistroRelease: Ubuntu 12.10
HibernationDevice: RESUME=UUID=fec1750f-2fb9-41b1-b355-ad7447320258
InstallationDate: Installed on 2012-10-31 (1 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
MachineType: Gigabyte Technology Co., Ltd. To be filled by O.E.M.
MarkForUpload: True
NonfreeKernelModules: fglrx
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=cff77eb3-5c64-4cca-968e-12f44ae08ce2 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-17-generic N/A
 linux-backports-modules-3.5.0-17-generic N/A
 linux-firmware 1.95
RfKill:

Tags: quantal running-unity
Uname: Linux 3.5.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 03/28/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F7
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Z77X-UD3H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF7:bd03/28/2012:svnGigabyteTechnologyCo.,Ltd.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnZ77X-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

apport information

apport information

apport information

greg606 (greg606) wrote : Lspci.txt

apport information

31 comments hidden view all 111 comments
Julien Guarino (jlarsj) wrote :

Hi everyone,

I have the same problem here :

jlarsj@jlarsjlinux:~$ lspci | grep VGA
02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Madison [Radeon HD 5000M Series]

Unity won't load with fglrx proprietary drivers installed, whatever the procedure I'm using.

Changed in fglrx:
importance: Unknown → High
status: Unknown → Confirmed
Changed in fglrx-installer-updates (Ubuntu):
assignee: nobody → Renato Bueno (renatoapdo)
assignee: Renato Bueno (renatoapdo) → nobody

Same problem here:

$lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Whistler [AMD Radeon HD 6600M Series]

Nick Andrik (andrikos) wrote :

May I propose to mark this bug as a duplicate of
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1068404

since it has the same workaround as stated in #33 ?

cyd (cyd) wrote :

No intel card on my netbook, is the workaround working when you have a single card ?

cyd (cyd) wrote :

Seems it was problem with driver 11.9, i don't see it with driver 11.8

@cyd:

What kind of card do you have exactly?
I guess it's an old one which is not supported any more.

My estimation would be that you are affected by this bug:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040

The bug here is for ati/intel hybrid systems.

Verdomde (frog-yawn) wrote :

Hey Nick Andrick, what about me i have hybrid graphics, and my problem is not solved by your ppa...?
I have an hp dm4 with radeon 7270, my symptoms are as in post #69 am i subscribed to the right bug here?

Nick Andrik (andrikos) wrote :

@Verdomde
Just to be sure, can you try carefully the 7 commands mentioned here:
https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND
then reboot and comment if the problem is fixed?

Just wanted to chime in as well that this affects me.

New system, running 12.10.
MB: FM2A75-Pro 4M
On-board Radeon HD7000 graphics (no PCI graphics card installed, using MB's)
Graphics controller identified as : 00:01.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Device 9991

...problem of desktop showing up, but no menu bars....just blank desktop encountered when running: apt-get install fglrx-updates and rebooting.

...can fix problem by removing said package, but then driver is uninstalled.

Nick Andrik (andrikos) wrote :

For the problem of unity without menu bars you have to install the
fglrx package from my PPA.

Verdomde (frog-yawn) wrote :

@andrikos

Yes, i've tried your ppa a couple of times, including the '7 steps'. I still get no menubar or side panel in unity, the fglrx ati fire gl driver is enabled and in use when checked with jockey-txt, fglrx updates doesnt work either.

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Caicos [Radeon HD 6400M/7400M Series] [1002:6760] (prog-if 00 [VGA controller])- its a HD7470M

Nick Andrik (andrikos) wrote :

If you have no hybrid systems, just open a new bug report, please.

If your X server loads but you get no menus, then open a new terminal
( Ctrl+Shift+T ), write there
compiz --replace
and post in the bug report what problem you get

Thanks
Nikos

cyd (cyd) wrote :

Hello Nick, i'm using

Same problem with amd-e350 platform

root@dm1:~# lspci | grep VGA
00:01.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Wrestler [Radeon HD 6310]

Unity won't load if fglrx is installed, & with the opensource driver the display is slow.

Wich is recent platform, i was affected par fglrx-update problem, just discovered that fglrx was working

Nick Andrik (andrikos) wrote :

I'm marking this bug as a duplicate of 1068404 because of #33

Jorenko (jorenko) wrote :

I have the same problem with an HD 6800, using either fglrx or fglrx-updates. I also tried installing the latest beta driver by following the instructions here: http://askubuntu.com/questions/124292/what-is-the-correct-way-to-install-ati-catalyst-video-drivers-fglrx. But that gave identical results.

Since I am not running a hybrid system, just a stock FM2A75 motherboard (ASROCK FM2A75 Pro4-M) with Trinity CPU, should I open a different bug than this one?

Running the compiz --replace made screen flash a few times and this was output:

# compiz --replace
compiz (core) - Info: Loading plugin: core
compiz (core) - Info: Starting plugin: core
compiz (core) - Error: Another window manager is already running on screen: 0
compiz (core) - Info: Stopping plugin: core
compiz (core) - Info: Unloading plugin: core
#

Nick Andrik (andrikos) wrote :

If it is not hybrid system or you don't get low graphics mode, you
should look for another bug report.
Getting the graphics being loaded but not having menu bars, window
decorations, etc, is a totally different issue

Thanks!
Nikos

Since I did not see anyone else who does NOT have a hybrid Intel/Radeon system, and I was advised to do so, I have opened a new bug for those who have this problem on normal stock (non-hybrid) graphics cards...feel free to add yourself to that bug, or fill me in if another one was opened that I did not find.

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1087840

Verdomde (frog-yawn) wrote :

Nick, I've tried the 7 commandments again, still no luck, when i initialise i get so e kind of error, am having trouble using terminal at the mometn, so will post it later, quite often im unable to type into terminal.

chisao (michayc) wrote :

@Nick
I also tried the 7 steps and it works. But I have this problem....On first boot ubuntu X fails and tells me to choose low graphics session or reconfigure or exit to console login. If I reboot then it starts ok without any problem....Why does it need a reboot to work?

And something else. After this bug gets fixed should I remove this ppa and continue using ubuntu's xserver-xorg-video-intel and that's it? Using your ppa changes only those packages?Xserver-xorg-video-intel and fglrx*???

And one last thing....Are you greek???? :)

Nick Andrik (andrikos) wrote :

2012/12/9 chisao <email address hidden>:
> *** This bug is a duplicate of bug 1068404 ***
> https://bugs.launchpad.net/bugs/1068404
>
> @Nick
> I also tried the 7 steps and it works. But I have this problem....On first boot ubuntu X fails and tells me to choose low graphics session or reconfigure or exit to console login. If I reboot then it starts ok without any problem....Why does it need a reboot to work?

I also have this problem, but only if I use the integrated GPU.
If I use the discrete GPU, this problem is not there.
I am not very sure about this statement, I'm in the process of
debugging also this, but one thing at a time :D

Actually, I'm going to create a new bug report for that, so that we
can watch the progress there, I'll let you know

> And something else. After this bug gets fixed should I remove this ppa
> and continue using ubuntu's xserver-xorg-video-intel and that's it?
> Using your ppa changes only those packages?Xserver-xorg-video-intel and
> fglrx*???

Till the fixes are not in the official packages you have to keep my
PPA in order to get updates on new fixes.
As soon as these fixes go into the official packages I will delete the
unneeded packages and you can remove my PPA from your repositories
list.
The only relevant packages for this issue are the
Xserver-xorg-video-intel and fglrx* packages, yes

> And one last thing....Are you greek???? :)

Yes, my name is Nikos, but I prefer going around online with Nick :D

Nick Andrik (andrikos) wrote :

@chisao :

Can you confirm that you have the Xserver crash only when you
configure to use the integrated GPU?
If yes, it's better to subscribe in the following bug report, where we
will follow this specific issue:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220

Nikos

Verdomde (frog-yawn) wrote :

Sorry for the previous message, was having trouble and had limited time, I mean that after installing fglrx it is hit and miss whether i can type into terminal.

When i run aticonfig --initial -f i get the following:

sudo aticonfig --initial -f
Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib64/fglrx/switchlibglx:
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken
update-alternatives: warning: not replacing /usr/lib/x86_64-linux-gnu/xorg/extra-modules with a link

Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.original-1

Verdomde (frog-yawn) wrote :
Download full text (11.4 KiB)

When i reboot the low graaphics thing comes up, i choose reconfigure, reboot again, then no unity

/Desktop$ compiz --replace
compiz (core) - Info: Loading plugin: core
compiz (core) - Info: Starting plugin: core
compiz (core) - Info: Loading plugin: ccp
compiz (core) - Info: Starting plugin: ccp
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : unity
compiz (core) - Info: Loading plugin: composite
compiz (core) - Info: Starting plugin: composite
compiz (core) - Info: Loading plugin: opengl
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 22
  Current serial number in output stream: 22
compiz (core) - Info: Unity is not supported by your hardware. Enabling software rendering instead (slow).
compiz (core) - Info: Starting plugin: opengl
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
compiz (core) - Error: Plugin initScreen failed: opengl
compiz (core) - Error: Failed to start plugin: opengl
compiz (core) - Info: Unloading plugin: opengl
compiz (core) - Info: Loading plugin: compiztoolbox
compiz (core) - Info: Starting plugin: compiztoolbox
compiz (core) - Error: Plugin 'opengl' not loaded.

compiz (core) - Info: Loading plugin: decor
compiz (core) - Info: Starting plugin: decor
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fa...

Verdomde (frog-yawn) wrote :

(process:2390): GLib-WARNING **: /build/buildd/glib2.0-2.34.1/./glib/gmain.c:1817: ref_count == 0, but source was still attached to a context!
[xcb] Unknown sequence number while appending request
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
compiz: ../../src/xcb_io.c:160: append_pending_request: Assertion `!xcb_xlib_unknown_seq_number' failed.
Aborted (core dumped)

Verdomde (frog-yawn) wrote :
Download full text (12.4 KiB)

The last piece was after pressing ctrl c in terminal after compiz replace, then i wasnt able to type for some reason.

Unity replace seems to do the same thing:

HP:~/Desktop$ unity --replace
compiz (core) - Info: Loading plugin: core
compiz (core) - Info: Starting plugin: core
unity-panel-service: no process found
compiz (core) - Info: Loading plugin: ccp
compiz (core) - Info: Starting plugin: ccp
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : unity
compiz (core) - Info: Loading plugin: composite
compiz (core) - Info: Starting plugin: composite
compiz (core) - Info: Loading plugin: opengl
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 22
  Current serial number in output stream: 22
compiz (core) - Info: Unity is not supported by your hardware. Enabling software rendering instead (slow).
compiz (core) - Info: Starting plugin: opengl
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
compiz (core) - Error: Plugin initScreen failed: opengl
compiz (core) - Error: Failed to start plugin: opengl
compiz (core) - Info: Unloading plugin: opengl
compiz (core) - Info: Loading plugin: compiztoolbox
compiz (core) - Info: Starting plugin: compiztoolbox
compiz (core) - Error: Plugin 'opengl' not loaded.

compiz (core) - Info: Loading plugin: decor
compiz (core) - Info: Starting plugin: decor
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
compiz (decor) - Warn: requested a pixmap type decoration when compositing isn't available
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL ...

Verdomde, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

For more on this, please see the Ubuntu X.Org Team (maintainers of fglrx-installer and fglrx-installer-updates), Ubuntu Bug Control, and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

chisao (michayc) wrote :

@Nick
Yes I can confirm that. It only does it with the intergrated card.

Nick Andrik (andrikos) wrote :

@chisao:

Please subscribe to this bug where we track the integrated gpu problem:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220
and make a comment with the output of the following command:
> lspci -nn | grep -i vga

Thanks,
Nikos

James Fox (jfox950) wrote :

Really this still isnt fixed? I just installed 12.10, tried both fglrx and fglrx-updates installed from software sources and unity woudnt start with either.

Using a ATI 6850.

Zisu Andrei (matzipan) wrote :

I just installed fglrx. Broke my system with this bug, and now I cannot go back to my previous state. That's not the way to go to reach linux beginners. Hope Mir fixes some of these problems.

Luigi R. (xluigi84) wrote :

same problem with fglrx-update. Ubuntu 64bit 13.04 kernel 3.9.4, HD6470M. It was quite difficult to make again ubuntu working although I removed all fglrx packages and reinstalled the libgl1-mesa-dri, xservice-xorg-video-intel etc.. The unity plugin was in fact not active in compiz settings manager

Luigi R. (xluigi84) wrote :

@Zisu: here is what I did to make it working again

sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*
sudo apt-get remove --purge xserver-xorg-video-ati xserver-xorg-video-radeon
sudo apt-get install xserver-xorg-video-ati
sudo apt-get install --reinstall libgl1-mesa-glx libgl1-mesa-dri xserver-xorg-core
sudo rm /etc/X11/xorg.conf
sudo apt-get remove --purge xserver-xorg-video-intel
sudo apt-get clean
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install xserver-xorg-video-intel

If unity does not start check if the unity plugin is active in compiz:
run ccsm in the terminal, activate unity and solve all the conflits.

Evren Yurtesen (eyurtese-g) wrote :

I think this is not a duplicate of the bug #1068404. In some cases between fglrx updates the login prompt appears but unity does not start after logging in. However logging in as a guest user (with fresh configuration) works. Also removing all configuration from user's homedir (forcing reset) also brings back to desktop.

This is not the same bug, because the poster clearly states that the lightdm login prompt appears. This means X does not crash at startup. If you look at the bug #1068404, it is clearly stated that the X crashes at startup and it is a different bug.

Evren Yurtesen (eyurtese-g) wrote :

I fixed the issue by:

After logging in and nothing appears, change to a console terminal and login as same username, then execute

export DISPLAY=:0
dconf reset -f /org/compiz/
unity --reset-icons

This will reset all settings...

I think the duplicate status is wrong.

I think this is NOT a duplicate of bug #1068404 because **this** bug has the error:

[ 593.127] (EE) Failed to load /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension

or in other words it can't load the fglrx driver while bug #1068404 does NOT have that issue.

So to be clear - this bug relates to the module fglrx driver is NOT loading which results in X crashing.
The other bug looks like it loads the module fglrx but X crashes for other reasons.

Seems like a completely different root cause therefore should be a different bug.

I am also affected by this bug #1069199 and am running
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=13.10
DISTRIB_CODENAME=saucy
DISTRIB_DESCRIPTION="Ubuntu 13.10"

I downloaded and built

sudo sh ./amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.run --buildpkg Ubuntu/saucy

After doing the install and rebooting I get EXACTLY the same results and have the same error messages as the original bug reporter for this bug when I install the fglrx proprietary drivers. I was hoping to load the AMD drivers because I wanted to get sound out of the HDMI port. I'm running with the following hardware on an HP 8530w.

The opensource versions run perfectly for video with both the VGA and HDMI ports, but I can't get sound out of the HDMI port too and read that the only solution is to upgrade to the proprietary fglrx drivers.

$ lspci | grep -i Radeon
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV635/M86 [Mobility Radeon HD 3650]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] RV635 HDMI Audio [Radeon HD 3600 Series]

Symptons:
1) lightdm prompt appears
2) Login succeeds
3) screen goes blank and then login screen appears again.

The following (I think relevant) error messages appear in Xorg.0.log and mark this as different than the other bug.

[ 699.570] (II) LoadModule: "fglrx"
[ 699.570] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so
[ 699.585] (EE) Failed to load /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension
[ 699.585] (II) UnloadModule: "fglrx"
[ 699.585] (II) Unloading fglrx
[ 699.585] (EE) Failed to load module "fglrx" (loader failed, 7)

Anonymous Linux User, once the fix for https://bugs.launchpad.net/bugs/1068404 is released, if it doesn't end up fixing the issue for the original reporter, it would be unduplicated. Despite this, so your hardware may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

For more on this, please read the official Ubuntu documentation:
Ubuntu X.Org, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

As Christopher M. Penalver requested, I filed a new bug report as bug #1259423

Edson, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p fglrx-installer-updates REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in fglrx-installer-updates (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
madbiologist (me-again) wrote :

Some notes which might help various people.

AMD Catalyst (fglrx) 13.1 was released in January 2013 and brought official support for X.Org Server 1.13 and "production support" for Ubuntu 12.10.

Anyone with AMD Radeon HD 7xxx graphics and wanting to use the open-source driver instead of fglrx will need at least kernel 3.9, although it is faster with later kernels. Ubuntu 13.10 "Saucy Salamander" is based on the 3.11 kernel.

Although support for hybrid graphics arrived in the 3.5 kernel (when used with xserver 1.13), runtime power management support was not enabled on ATI/AMD Radeon graphics hardware until the 3.13 kernel - it has support for dynamically powering down discrete GPUs on PowerXpress systems - see http://lists.freedesktop.org/archives/dri-devel/2013-November/048316.html and http://lists.freedesktop.org/archives/dri-devel/2013-September/045650.html for details.

Ubuntu 14.04 "Trusty Tahr" now has the 3.13.0-12.32 kernel.

Displaying first 40 and last 40 comments. View all 111 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.